Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2962 - autoconf has an undefined macro in it
Summary: autoconf has an undefined macro in it
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: autoconf
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-22 11:39 UTC by Kevin
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-09-05 20:03:32 UTC


Attachments (Terms of Use)

Description Kevin 1999-05-22 11:39:38 UTC
this is an exact printout of the error message:
autoconf: Undefined macros:
***BUG in Autoconf--please report*** AC_DISABLE_FAST_INSTALL

Comment 1 Jeff Johnson 1999-05-22 13:00:59 UTC
Please supply the name-version-release of autoconf that you are
using as well as sufficient context for us to reproduce this bug.

Comment 2 Kevin 1999-05-22 23:14:59 UTC
I believe it was autoconf 4.13-5, and this error occurred while I was
trying to compile gettext....brb with the exact version #'s.

Comment 3 kevmcc 1999-05-22 23:42:59 UTC
ok...the exact version #'s are as follows:
autoconf-2.13-5
gettext-0.10.35-10
You can duplicate this error as follows
rpm -ba --clean --rmsource --sign --target i686-redhat-linux
gettext-0.10.35.spec
This is the exact command I ran after I did an rpm -i -v
gettext-0.10.35-8.src.rpm and I was in my SPECS dir.
I have successfully installed and recompiled 99 % of my other packages
this same way (trying to optimize for i686..and yes...I edited my
/usr/lib/rpm/macros file and changed i386 to i686..some of the package
sources had to be edited, but I managed) didn't edit gettext though.
suggestions?
Kevin

Comment 4 Jeff Johnson 1999-09-05 14:54:59 UTC
Your test case (w/o --sign) works with
autoconf-2.13-5
gettext-0.10.35-12


Note You need to log in before you can comment on or make changes to this bug.